{
  "type": "extendedcrafting:shaped_table",
  "pattern": [
    "ABCDEDCBA",
    "BFGHIHGFB",
    "CJBKLKBJC",
    "DMKENEKMD",
    "EOLPQPLOE",
    "DMKENEKMD",
    "CJBKLKBJC",
    "BFGHRHGFB",
    "ABCDEDCBA"
  ],
  "key": {
    "A": {
      "item": "thermal_extra:dragon_enderium_gear"
    },
    "B": {
      "item": "minecraft:netherite_ingot"
    },
    "C": {
      "item": "betterendforge:terminite_ingot"
    },
    "D": {
      "item": "extendedcrafting:enhanced_ender_ingot"
    },
    "E": {
      "item": "extendedcrafting:crystaltine_ingot"
    },
    "F": {
      "item": "thermal_extra:dragon_bronze_gear"
    },
    "G": {
      "item": "betterendforge:eternal_crystal"
    },
    "H": {
      "item": "extendedcrafting:enhanced_ender_catalyst"
    },
    "I": {
      "item": "thermal_extra:dragon_integral_component"
    },
    "J": {
      "item": "pneumaticcraft:advanced_pcb"
    },
    "K": {
      "item": "betterendforge:aeternium_ingot"
    },
    "L": {
      "item": "minecraft:dragon_breath"
    },
    "M": {
      "item": "extendedcrafting:crystaltine_catalyst"
    },
    "N": {
      "type": "forge:nbt",
      "item": "extendedcrafting:singularity",
      "count": 1,
      "nbt": "{Id:\"extendedcrafting:dungeon_coin\"}"
    },
    "O": {
      "item": "quark:diamond_heart"
    },
    "P": {
      "item": "thermal:netherite_gear"
    },
    "Q": {
      "item": "industrialforegoing:machine_frame_advanced"
    },
    "R": {
      "item": "extendedcrafting:ender_star"
    }
  },
  "result": {
    "item": "industrialforegoing:machine_frame_supreme"
  }
}